For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all financial accounts
        • GETGet a financial account by ID
        • GETGet all resident charges
        • GETGet a resident charge by ID
        • GETGet all recurring resident charges
        • GETGet recurring resident charge by ID
        • GETGet all resident payments
        • GETGet a resident payment by ID
        • POSTCreate Resident Charge: Propertyware REST
        • POSTCreate Resident Credit: Propertyware REST
        • POSTCreate Recurring Resident Charge: Propertyware REST
        • POSTCreate Resident Payment: Propertyware REST
        • POSTBatch Create Resident Charges: Propertyware REST
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Propertyware RESTBilling and Payments

Get a resident charge by ID

GET
/v1/resident-charges/:resident_charge_id
GET
/v1/resident-charges/:resident_charge_id
$curl https://api.propexo.com/v1/resident-charges/resident_charge_id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "allocations": [
13 {
14 "id": "clwktsp9v000008l31iv218hn",
15 "x_id": "5738100275-8635281836",
16 "x_source_id": "574622569",
17 "x_destination_id": "573829483",
18 "financial_account_id": "cm1b8bftm000208l485ya3klj",
19 "amount_in_cents": 20000,
20 "amount_raw": "200",
21 "resident_charge_id": "string",
22 "resident_payment_id": "string",
23 "created_at": "2024-03-21T15:38:08.337Z",
24 "updated_at": "2024-03-22T10:59:45.119Z",
25 "last_seen": "2024-03-22T10:59:45.119Z",
26 "custom_data": {}
27 }
28 ],
29 "amount_in_cents": 150000,
30 "amount_open_in_cents": null,
31 "amount_open_raw": null,
32 "amount_paid_in_cents": 130000,
33 "amount_paid_raw": "1300",
34 "amount_raw": "1500",
35 "charge_code_id": null,
36 "created_at": "2024-03-21T15:38:08.337Z",
37 "custom_data": {},
38 "description": "Special cleaning fee",
39 "due_date": null,
40 "financial_account_id": "cav6ubr70d001b1ri112pi5it",
41 "id": "clwktsp9v000008l31iv218hn",
42 "integration_id": "clwh5u07w000508me66sfh3um",
43 "integration_vendor": "PROPERTYWARE_REST",
44 "is_open": null,
45 "last_seen": "2024-03-22T10:59:45.119Z",
46 "lease_id": "cm70kirrr29460295341h2g0bn44mxca",
47 "name": "CHARGE",
48 "post_month": null,
49 "property_id": "clwi5xiix000008l6ctdgafyh",
50 "reference_number": "565112",
51 "resident_id": null,
52 "transaction_date": "2023-04-21",
53 "transaction_source": null,
54 "unit_id": null,
55 "updated_at": "2024-03-22T10:59:45.119Z",
56 "x_charge_code_id": null,
57 "x_gl_account_id": "1522786622",
58 "x_id": "4328822592",
59 "x_lease_id": "3307510985",
60 "x_location_id": null,
61 "x_property_id": "2951884752",
62 "x_resident_id": null,
63 "x_unit_id": "63520982"
64 }
65}
The Resident Charges model provides a limited, one-sided view of a resident's financial history with a PMC and should not be treated as a comprehensive report of all charges that the resident owes. Credits to a resident's ledger are stored as negative charges. Due to the PMS API structure, this is a naturally high-volume endpoint. Since Propexo pricing is based on records returned, this may result in signficantly higher overall costs. We encourage you to reach out to support before activating.
Was this page helpful?
Previous

Get all recurring resident charges

Next
Built with

The Resident Charges model provides a limited, one-sided view of a resident’s financial history with a PMC and should not be treated as a comprehensive report of all charges that the resident owes. Credits to a resident’s ledger are stored as negative charges. Due to the PMS API structure, this is a naturally high-volume endpoint. Since Propexo pricing is based on records returned, this may result in signficantly higher overall costs. We encourage you to reach out to support before activating.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

resident_charge_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error